Bug 23795 - 2.2 vs 2.4: drive geometry reports different logical values
2.2 vs 2.4: drive geometry reports different logical values
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-01-11 08:47 EST by Brock Organ
Modified: 2007-04-18 12:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-01-19 10:53:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brock Organ 2001-01-11 08:47:49 EST
The /proc/ide/hd*/geometry reports different logical values for the same
drive between the 2.2 and 2.4 kernel.

[root@localhost /root]# cat /proc/ide/hda/geometry
physical     12556/16/63
logical      787/255/63
[root@localhost /root]# uname -a
Linux localhost.localdomain 2.2.16-22 #1 Tue Aug 22 15:48:40 EDT 2000 i686

[root@localhost /root]# cat /proc/ide/hda/geometry
physical     12556/16/63
logical      12556/16/63
[root@localhost /root]# uname -a
Linux localhost.localdomain 2.4.0-0.43.12 #1 Wed Dec 27 18:40:11 EST 2000
i686 \unknown
[root@localhost /root]#
Comment 1 Brock Organ 2001-01-11 08:50:56 EST
a side effect of this procedure is that drives partitioned with linux in 2.2
space used the 2.2 logical numbers; but running fdisk with 2.4 will use the 2.4
logical numbers (different).  As a result, fdisk will display errors about
"partitions do not end on cylinder boundaries" ...
Comment 2 Enrico Scholz 2001-01-11 11:25:55 EST
Another side-effect ocurred here, ist that my lilo stops with 'L' (without any
hexnumber behind).
Comment 3 Brock Organ 2001-01-19 10:53:37 EST
verified this issue is fixed in the qa0118.1 test tree ... in my example above,
the 2.4 kernel used DOES report the same geometry as the 2.2 kernel did ...

Note You need to log in before you can comment on or make changes to this bug.